Tryton - Issues

 

Issue8930

Title Keep history of cost price modification
Priority feature Status resolved
Superseder Conflict between wizards "wizard_recompute_cost_price" and "wizard_update_cost_price", Update cost of moves when recomputing product cost price
View: 7273, 8795
Nosy List ced, pokoli, reviewbot, roundup-bot
Type behavior Components account_stock_continental, stock
Assigned To ced Keywords
Reviews 260751002
View: 260751002

Created on 2019-12-16.17:10:19 by ced, last changed by roundup-bot.

Messages
New changeset 15945ad51b9c by Cédric Krier in branch 'default':
Set a start date when recomputing cost price from revision
https://hg.tryton.org/tryton-env/rev/15945ad51b9c
New changeset 2855a64f4e6d by Cédric Krier in branch 'default':
Set a start date when recomputing cost price from revision
https://hg.tryton.org/modules/stock/rev/2855a64f4e6d
New changeset ab31617a4e2b by Cédric Krier in branch 'default':
Add missing gettext call when raising ProductCostPriceError
https://hg.tryton.org/tryton-env/rev/ab31617a4e2b
New changeset f767e144e583 by Cédric Krier in branch 'default':
Add missing gettext call when raising ProductCostPriceError
https://hg.tryton.org/modules/stock/rev/f767e144e583
New changeset 48b76eecfa6a by Cédric Krier in branch 'default':
Store product cost price revision
https://hg.tryton.org/tryton-env/rev/48b76eecfa6a
New changeset eb8be9375a53 by Cédric Krier in branch 'default':
Store product cost price revision
https://hg.tryton.org/modules/stock/rev/eb8be9375a53
New changeset 1635dd7c1f7f by Cédric Krier in branch 'default':
Store product cost price revision
https://hg.tryton.org/modules/product_cost_fifo/rev/1635dd7c1f7f
New changeset c828d3afdd9f by Cédric Krier in branch 'default':
Store product cost price revision
https://hg.tryton.org/modules/account_stock_continental/rev/c828d3afdd9f
review260751002 updated at https://codereview.tryton.org/260751002/#ps284741002
review260751002 updated at https://codereview.tryton.org/260751002/#ps288811002
review260751002 updated at https://codereview.tryton.org/260751002/#ps278351002
review260751002 updated at https://codereview.tryton.org/260751002/#ps289071002
msg54771 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2020-01-09.15:07:11
Here is review260751002
The main difference with msg54538 is that cost price revision is applied at the beginning of the day.
New review260751002 at https://codereview.tryton.org/260751002/#ps270801002
msg54538 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-12-16.17:10:19
With issue8795 updating the cost price manually will be lost on the next stock move created.
Indeed we need to store the manual cost price modification in such way that the re-computation can take it into account.
The data to store must be the product, company (and any other cost_price depending fields), the date. It should store an absolute cost_price or a formula to compute new cost_price based on current one (e.g. for 10% reduction: cost_price * 0.9). This data is used by the recompute methods at the end of the day computation and the result is used as new cost_price.
The wizard should be moved in stock module.
The account_stock_continental should be plugged on the recompute cost price update to create automatically (thanks to issue7273) the accounting move.
History
Date User Action Args
2020-01-26 21:41:03roundup-botsetmessages: + msg55061
2020-01-26 21:41:00roundup-botsetmessages: + msg55060
2020-01-26 21:32:49roundup-botsetmessages: + msg55059
2020-01-26 21:32:45roundup-botsetmessages: + msg55058
2020-01-26 21:11:24roundup-botsetmessages: + msg55057
2020-01-26 21:11:22roundup-botsetmessages: + msg55056
2020-01-26 21:11:17roundup-botsetmessages: + msg55055
2020-01-26 21:11:11roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg55054
2020-01-26 17:28:49reviewbotsetmessages: + msg55053
2020-01-09 18:02:28reviewbotsetmessages: + msg54778

Showing 10 items. Show all history (warning: this could be VERY long)